# Generated by Django 3.2.15 on 2022-08-23 23:05

import cms.models.fields
import colorfield.fields
import django.db.models.deletion
import filer.fields.file
import filer.fields.image
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("cms", "0022_auto_20180620_1551"),
        ("filer", "0015_alter_file_owner_alter_file_polymorphic_ctype_and_more"),
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="QRPageLink",
            fields=[
                (
                    "cmsplugin_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="djangocms_qrcode_qrpagelink",
                        serialize=False,
                        to="cms.cmsplugin",
                    ),
                ),
                (
                    "error",
                    models.CharField(
                        choices=[
                            ("L", "recovers 7% of data"),
                            ("M", "recovers 15% of data"),
                            ("Q", "recovers 25% of data"),
                            ("H", "recovers 30% of data"),
                        ],
                        default="L",
                        max_length=1,
                        verbose_name="error correction level",
                    ),
                ),
                (
                    "version",
                    models.PositiveSmallIntegerField(
                        blank=True,
                        choices=[
                            (None, "auto"),
                            (1, "1"),
                            (2, "2"),
                            (3, "3"),
                            (4, "4"),
                            (5, "5"),
                            (6, "6"),
                            (7, "7"),
                            (8, "8"),
                            (9, "9"),
                            (10, "10"),
                            (11, "11"),
                            (12, "12"),
                            (13, "13"),
                            (14, "14"),
                            (15, "15"),
                            (16, "16"),
                            (17, "17"),
                            (18, "18"),
                            (19, "19"),
                            (20, "20"),
                            (21, "21"),
                            (22, "22"),
                            (23, "23"),
                            (24, "24"),
                            (25, "25"),
                            (26, "26"),
                            (27, "27"),
                            (28, "28"),
                            (29, "29"),
                            (30, "30"),
                            (31, "31"),
                            (32, "32"),
                            (33, "33"),
                            (34, "34"),
                            (35, "35"),
                            (36, "36"),
                            (37, "37"),
                            (38, "38"),
                            (39, "39"),
                            (40, "40"),
                        ],
                        null=True,
                        verbose_name="version",
                    ),
                ),
                (
                    "mode",
                    models.CharField(
                        blank=True,
                        choices=[
                            (None, "auto"),
                            ("numeric", "numeric"),
                            ("alphanumeric", "alphanumeric"),
                            ("byte", "byte"),
                            ("kanji", "kanji"),
                            ("hanzi", "hanzi"),
                        ],
                        max_length=15,
                        null=True,
                        verbose_name="mode",
                    ),
                ),
                (
                    "mask",
                    models.PositiveSmallIntegerField(
                        blank=True,
                        choices=[
                            (None, "auto"),
                            (0, "0"),
                            (1, "1"),
                            (2, "2"),
                            (3, "3"),
                            (4, "4"),
                            (5, "5"),
                            (6, "6"),
                            (7, "7"),
                        ],
                        null=True,
                        verbose_name="data mask",
                    ),
                ),
                (
                    "scale",
                    models.PositiveSmallIntegerField(default=10, verbose_name="scale"),
                ),
                (
                    "border",
                    models.PositiveSmallIntegerField(
                        blank=True, null=True, verbose_name="border"
                    ),
                ),
                (
                    "dark",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="dark color",
                    ),
                ),
                (
                    "light",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="light color",
                    ),
                ),
                (
                    "quiet_zone",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="border color",
                    ),
                ),
                (
                    "alignment_dark",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="alignment dark color",
                    ),
                ),
                (
                    "alignment_light",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="alignment light color",
                    ),
                ),
                (
                    "finder_dark",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="finder dark color",
                    ),
                ),
                (
                    "finder_light",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="finder light color",
                    ),
                ),
                (
                    "background",
                    filer.fields.image.FilerImageField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to=settings.FILER_IMAGE_MODEL,
                        verbose_name="background",
                    ),
                ),
                (
                    "logo",
                    filer.fields.image.FilerImageField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to=settings.FILER_IMAGE_MODEL,
                        verbose_name="logo",
                    ),
                ),
                (
                    "page",
                    cms.models.fields.PageField(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="cms.page",
                        verbose_name="page",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("cms.cmsplugin",),
        ),
        migrations.CreateModel(
            name="QRFileLink",
            fields=[
                (
                    "cmsplugin_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="djangocms_qrcode_qrfilelink",
                        serialize=False,
                        to="cms.cmsplugin",
                    ),
                ),
                (
                    "error",
                    models.CharField(
                        choices=[
                            ("L", "recovers 7% of data"),
                            ("M", "recovers 15% of data"),
                            ("Q", "recovers 25% of data"),
                            ("H", "recovers 30% of data"),
                        ],
                        default="L",
                        max_length=1,
                        verbose_name="error correction level",
                    ),
                ),
                (
                    "version",
                    models.PositiveSmallIntegerField(
                        blank=True,
                        choices=[
                            (None, "auto"),
                            (1, "1"),
                            (2, "2"),
                            (3, "3"),
                            (4, "4"),
                            (5, "5"),
                            (6, "6"),
                            (7, "7"),
                            (8, "8"),
                            (9, "9"),
                            (10, "10"),
                            (11, "11"),
                            (12, "12"),
                            (13, "13"),
                            (14, "14"),
                            (15, "15"),
                            (16, "16"),
                            (17, "17"),
                            (18, "18"),
                            (19, "19"),
                            (20, "20"),
                            (21, "21"),
                            (22, "22"),
                            (23, "23"),
                            (24, "24"),
                            (25, "25"),
                            (26, "26"),
                            (27, "27"),
                            (28, "28"),
                            (29, "29"),
                            (30, "30"),
                            (31, "31"),
                            (32, "32"),
                            (33, "33"),
                            (34, "34"),
                            (35, "35"),
                            (36, "36"),
                            (37, "37"),
                            (38, "38"),
                            (39, "39"),
                            (40, "40"),
                        ],
                        null=True,
                        verbose_name="version",
                    ),
                ),
                (
                    "mode",
                    models.CharField(
                        blank=True,
                        choices=[
                            (None, "auto"),
                            ("numeric", "numeric"),
                            ("alphanumeric", "alphanumeric"),
                            ("byte", "byte"),
                            ("kanji", "kanji"),
                            ("hanzi", "hanzi"),
                        ],
                        max_length=15,
                        null=True,
                        verbose_name="mode",
                    ),
                ),
                (
                    "mask",
                    models.PositiveSmallIntegerField(
                        blank=True,
                        choices=[
                            (None, "auto"),
                            (0, "0"),
                            (1, "1"),
                            (2, "2"),
                            (3, "3"),
                            (4, "4"),
                            (5, "5"),
                            (6, "6"),
                            (7, "7"),
                        ],
                        null=True,
                        verbose_name="data mask",
                    ),
                ),
                (
                    "scale",
                    models.PositiveSmallIntegerField(default=10, verbose_name="scale"),
                ),
                (
                    "border",
                    models.PositiveSmallIntegerField(
                        blank=True, null=True, verbose_name="border"
                    ),
                ),
                (
                    "dark",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="dark color",
                    ),
                ),
                (
                    "light",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="light color",
                    ),
                ),
                (
                    "quiet_zone",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="border color",
                    ),
                ),
                (
                    "alignment_dark",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="alignment dark color",
                    ),
                ),
                (
                    "alignment_light",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="alignment light color",
                    ),
                ),
                (
                    "finder_dark",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="finder dark color",
                    ),
                ),
                (
                    "finder_light",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="finder light color",
                    ),
                ),
                (
                    "background",
                    filer.fields.image.FilerImageField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to=settings.FILER_IMAGE_MODEL,
                        verbose_name="background",
                    ),
                ),
                (
                    "file",
                    filer.fields.file.FilerFileField(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="filer.file",
                        verbose_name="file",
                    ),
                ),
                (
                    "logo",
                    filer.fields.image.FilerImageField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to=settings.FILER_IMAGE_MODEL,
                        verbose_name="logo",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("cms.cmsplugin",),
        ),
        migrations.CreateModel(
            name="QRCode",
            fields=[
                (
                    "cmsplugin_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="djangocms_qrcode_qrcode",
                        serialize=False,
                        to="cms.cmsplugin",
                    ),
                ),
                (
                    "error",
                    models.CharField(
                        choices=[
                            ("L", "recovers 7% of data"),
                            ("M", "recovers 15% of data"),
                            ("Q", "recovers 25% of data"),
                            ("H", "recovers 30% of data"),
                        ],
                        default="L",
                        max_length=1,
                        verbose_name="error correction level",
                    ),
                ),
                (
                    "version",
                    models.PositiveSmallIntegerField(
                        blank=True,
                        choices=[
                            (None, "auto"),
                            (1, "1"),
                            (2, "2"),
                            (3, "3"),
                            (4, "4"),
                            (5, "5"),
                            (6, "6"),
                            (7, "7"),
                            (8, "8"),
                            (9, "9"),
                            (10, "10"),
                            (11, "11"),
                            (12, "12"),
                            (13, "13"),
                            (14, "14"),
                            (15, "15"),
                            (16, "16"),
                            (17, "17"),
                            (18, "18"),
                            (19, "19"),
                            (20, "20"),
                            (21, "21"),
                            (22, "22"),
                            (23, "23"),
                            (24, "24"),
                            (25, "25"),
                            (26, "26"),
                            (27, "27"),
                            (28, "28"),
                            (29, "29"),
                            (30, "30"),
                            (31, "31"),
                            (32, "32"),
                            (33, "33"),
                            (34, "34"),
                            (35, "35"),
                            (36, "36"),
                            (37, "37"),
                            (38, "38"),
                            (39, "39"),
                            (40, "40"),
                        ],
                        null=True,
                        verbose_name="version",
                    ),
                ),
                (
                    "mode",
                    models.CharField(
                        blank=True,
                        choices=[
                            (None, "auto"),
                            ("numeric", "numeric"),
                            ("alphanumeric", "alphanumeric"),
                            ("byte", "byte"),
                            ("kanji", "kanji"),
                            ("hanzi", "hanzi"),
                        ],
                        max_length=15,
                        null=True,
                        verbose_name="mode",
                    ),
                ),
                (
                    "mask",
                    models.PositiveSmallIntegerField(
                        blank=True,
                        choices=[
                            (None, "auto"),
                            (0, "0"),
                            (1, "1"),
                            (2, "2"),
                            (3, "3"),
                            (4, "4"),
                            (5, "5"),
                            (6, "6"),
                            (7, "7"),
                        ],
                        null=True,
                        verbose_name="data mask",
                    ),
                ),
                (
                    "scale",
                    models.PositiveSmallIntegerField(default=10, verbose_name="scale"),
                ),
                (
                    "border",
                    models.PositiveSmallIntegerField(
                        blank=True, null=True, verbose_name="border"
                    ),
                ),
                (
                    "dark",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="dark color",
                    ),
                ),
                (
                    "light",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="light color",
                    ),
                ),
                (
                    "quiet_zone",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="border color",
                    ),
                ),
                (
                    "alignment_dark",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="alignment dark color",
                    ),
                ),
                (
                    "alignment_light",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="alignment light color",
                    ),
                ),
                (
                    "finder_dark",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="finder dark color",
                    ),
                ),
                (
                    "finder_light",
                    colorfield.fields.ColorField(
                        blank=True,
                        default=None,
                        image_field=None,
                        max_length=18,
                        null=True,
                        samples=None,
                        verbose_name="finder light color",
                    ),
                ),
                ("content", models.TextField(blank=True, verbose_name="content")),
                (
                    "background",
                    filer.fields.image.FilerImageField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to=settings.FILER_IMAGE_MODEL,
                        verbose_name="background",
                    ),
                ),
                (
                    "logo",
                    filer.fields.image.FilerImageField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to=settings.FILER_IMAGE_MODEL,
                        verbose_name="logo",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("cms.cmsplugin",),
        ),
    ]
